Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163333 - system-config-printer "save" interface is unintuitive
Summary: system-config-printer "save" interface is unintuitive
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-15 10:17 UTC by Need Real Name
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-26 11:19:27 UTC


Attachments (Terms of Use)

Description Need Real Name 2005-07-15 10:17:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Epiphany/1.6.3

Description of problem:
Unlike other Gnome apps, the "OK" button does not save a config for a printer.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Load system-config-printer
2. Double-click printer to edit it
3. Change the default tray
4. Do not click Cancel to discard the changes, instead click OK
5. Print a test page - wrong tray!
6. Close the original Printer configuration window. Am prompted to save changes.

Additional info:

I think this behaviour is a bit confusing, and non-standard.

Comment 1 Tim Waugh 2005-07-26 11:19:27 UTC
Yes, the whole thing needs rewriting.  I have been saying this for ages.

cf. https://www.redhat.com/archives/fedora-devel-list/2005-February/msg00040.html

Someone needs to come up with a DESIGN though.

Comment 2 Need Real Name 2005-07-26 16:37:46 UTC
There's nothing wrong with the existing design. The only thing that needs
modifying is that changes are saved when you click the OK button, rather than
when you close the main window.

I'll read that link soon though.

Comment 3 Tim Waugh 2005-07-26 16:41:49 UTC
Making the change you suggest would be *more* confusing: already you need to
click 'Apply' to apply changes such as deleting a printer and setting a default
printer, which are single-click operations.

While it remains as broken as the design originally was, it would be far less
confusing to keep the behaviour broadly the same as well.  It will all change
when the program is redesigned.

Comment 4 Need Real Name 2005-07-26 16:49:39 UTC
"Apply" is normally misused anyway". Often you see a user click Apply then OK,
just in case.


Note You need to log in before you can comment on or make changes to this bug.